Package Gnumed :: Package wxpython :: Module gmNarrativeWidgets :: Class cSoapPluginPnl |
[frames] | no frames]

# Class cSoapPluginPnl

source code

                                        wx.Panel --+
                                                   |
    wxGladeWidgets.wxgSoapPluginPnl.wxgSoapPluginPnl --+
                                                       |
                     gmRegetMixin.cRegetOnPaintMixin --+
                                                       |
                                                      cSoapPluginPnl

    A panel for in-context editing of progress notes.

    Expects to be used as a notebook page.

    Left hand side:
    - problem list (health issues and active episodes)
    - previous notes

    Right hand side:
    - panel handling
            - encounter details fields
            - notebook with progress note editors
            - visual progress notes

    Listens to patient change signals, thus acts on the current patient.

Instance Methods
__init__(self, *args, **kwargs) | source code
Inherited from `gmRegetMixin.cRegetOnPaintMixin`: `repopulate_ui`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__